* [PATCH] generic/015: improve error logging
@ 2014-09-30 17:06 Eric Whitney
0 siblings, 0 replies; only message in thread
From: Eric Whitney @ 2014-09-30 17:06 UTC (permalink / raw)
To: fstests; +Cc: linux-ext4
015 currently discards useful diagnostic information should making or
mounting the scratch file system fail. This can be captured with minimal
additional disk space consumption in a manner similar to other xfstests.
Noted during an ext4 debugging session involving a mkfs failure; small
ext4 file systems (as used in this test) by default use small inodes that
are not compatible with the inline data feature.
Signed-off-by: Eric Whitney <enwlinux@gmail.com>
---
tests/generic/015 | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/tests/generic/015 b/tests/generic/015
index 8d3fd5f..4d96b4e 100755
--- a/tests/generic/015
+++ b/tests/generic/015
@@ -53,11 +53,12 @@ _supported_os IRIX Linux
_require_scratch
_require_no_large_scratch_dev
-_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >/dev/null 2>&1 \
+rm -f $seqres.full
+
+_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >>$seqres.full 2>&1 \
|| _fail "mkfs failed"
-_scratch_mount || _fail "mount failed"
+_scratch_mount >>$seqres.full 2>&1 || _fail "mount failed"
out=$SCRATCH_MNT/fillup.$$
-rm -f $seqres.full
free0=`_free`
if [ -z "$free0" ]
--
1.9.1
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2014-09-30 17:06 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-09-30 17:06 [PATCH] generic/015: improve error logging Eric Whitney
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.